Bug 27026 - New circulation rule "Days mode" values are not explained anywhere
Summary: New circulation rule "Days mode" values are not explained anywhere
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Tomás Cohen Arazi
URL:
Keywords:
Depends on: 24159
Blocks: 27280
  Show dependency treegraph
 
Reported: 2020-11-14 10:40 UTC by Katrin Fischer
Modified: 2020-12-18 15:23 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 27026: (bug 24159 follow-up) Add a tooltip to explain the values of "Days mode" (2.17 KB, patch)
2020-11-17 15:24 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 27026: Use meaningful descriptions (2.12 KB, patch)
2020-11-18 08:04 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 27026: (bug 24159 follow-up) Add a tooltip to explain the values of "Days mode" (2.23 KB, patch)
2020-11-19 12:54 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 27026: Use meaningful descriptions (2.18 KB, patch)
2020-11-19 12:54 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 27026: (bug 24159 follow-up) Add a tooltip to explain the values of "Days mode" (2.29 KB, patch)
2020-11-21 19:16 UTC, Victor Grousset/tuxayo
Details | Diff | Splinter Review
Bug 27026: Use meaningful descriptions (2.23 KB, patch)
2020-11-21 19:16 UTC, Victor Grousset/tuxayo
Details | Diff | Splinter Review
Bug 27026: (bug 24159 follow-up) Add a tooltip to explain the values of "Days mode" (2.29 KB, patch)
2020-11-25 14:18 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 27026: (bug 24159 follow-up) Add a tooltip to explain the values of "Days mode" (2.47 KB, patch)
2020-11-25 14:18 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2020-11-14 10:40:26 UTC
It appears that the new Days mode value in the circulation conditions is not explained and the values are rather cryptic - especially if you are supposed to translate them:

Calendar
DateDue
Days
DayWeek
Default

There are references in the code, but I don't see where they show up visibly. And the DaysMode system preference doesn't use the codes so you can't make the connection there easily.

Might be missing something, but glad to be told!
Comment 1 Katrin Fischer 2020-11-14 10:42:28 UTC
DateDue means "next opening day"...?
Comment 2 Katrin Fischer 2020-11-14 10:44:07 UTC
Days is supposed to mean 'ignore the calendar' but if you look at translations that won't work well.
Comment 3 Katrin Fischer 2020-11-14 10:45:10 UTC
(In reply to Katrin Fischer from comment #2)
> Days is supposed to mean 'ignore the calendar' but if you look at
> translations that won't work well.

Especially since this string is used in lots of places :(
Comment 4 Jonathan Druart 2020-11-17 15:24:56 UTC
Created attachment 113739 [details] [review]
Bug 27026: (bug 24159 follow-up) Add a tooltip to explain the values of "Days mode"

There was a tooltip for values of the existing rules, but not the only
you were editing.

Now there is the same tooltip (title) on the option elements of the
dropdown list.
Comment 5 Jonathan Druart 2020-11-17 15:25:39 UTC
Would this patch works for you? We can even have it post string freeze as the strings already existed.
Comment 6 Katrin Fischer 2020-11-17 20:24:45 UTC
Hi Jonathan,

thx for taking a look at this!

The titles will certainly help, but I feel like we should really change the options offered. I know they are derived from the database values for the syspref, but I feel they make not much sense, especially when people try to translate them (and they will, especially since calendar appears in multiple places like the tools start page).

<option value="" title="Use the system preference 'useDaysMode' as a default value">Default</option>
<option value="Calendar" title="Use the calendar to skip days the library is closed">Calendar</option>
<option value="Datedue" title="Use the calendar to push the due date to the next open day">Datedue</option>
<option value="Days" title="Ignore the calendar">Days</option>
<option value="Dayweek" title="Use the calendar to push the due date to the next open matching weekday for weekly loan periods, or the next open day otherwise">Dayweek</option>

Why not use something more speaking?

Default
Skip closed days
Next open day
Same week day
Comment 7 Jonathan Druart 2020-11-18 08:04:03 UTC
Created attachment 113770 [details] [review]
Bug 27026: Use meaningful descriptions
Comment 8 Tomás Cohen Arazi 2020-11-19 12:54:08 UTC
Created attachment 113807 [details] [review]
Bug 27026: (bug 24159 follow-up) Add a tooltip to explain the values of "Days mode"

There was a tooltip for values of the existing rules, but not the only
you were editing.

Now there is the same tooltip (title) on the option elements of the
dropdown list.

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 9 Tomás Cohen Arazi 2020-11-19 12:54:13 UTC
Created attachment 113808 [details] [review]
Bug 27026: Use meaningful descriptions

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 10 Victor Grousset/tuxayo 2020-11-21 19:16:04 UTC
Created attachment 113912 [details] [review]
Bug 27026: (bug 24159 follow-up) Add a tooltip to explain the values of "Days mode"

There was a tooltip for values of the existing rules, but not the only
you were editing.

Now there is the same tooltip (title) on the option elements of the
dropdown list.

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Signed-off-by: Victor Grousset/tuxayo <victor@tuxayo.net>
Comment 11 Victor Grousset/tuxayo 2020-11-21 19:16:07 UTC
Created attachment 113913 [details] [review]
Bug 27026: Use meaningful descriptions

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Signed-off-by: Victor Grousset/tuxayo <victor@tuxayo.net>
Comment 12 Victor Grousset/tuxayo 2020-11-21 19:16:24 UTC
As a step towards QA, here is another signoff.
And the QA script passes.
Comment 13 Martin Renvoize 2020-11-24 14:24:32 UTC
These look reasonable to me and are an improvement.. I must admit I still get confused by 'Next open day' vs 'Skip closed days'.. they seem equivalent in description to me... what do they do differently?
Comment 14 Jonathan Druart 2020-11-24 14:53:48 UTC
Says you have:

Today is Wed Nov 4th, Sat and Sun are closed, as well as Nov 11th

   November 2020      
Su Mo Tu We Th Fr Sa  
 1  2  3  4  5  6  7  
 8  9 10 11 12 13 14  
15 16 17 18 19 20 21  
22 23 24 25 26 27 28  
29 30

* "Calendar - Use the calendar to skip days the library is closed":
With today + 7 days you will get 16th (skipping 7, 8, 11, 14, 15)

* "Use the calendar to push the due date to the next open day":
With today + 7 days you will get 12th: today + 7 gave you 11th, which is a closed day, so you get the day after.
Comment 15 Katrin Fischer 2020-11-24 18:10:25 UTC
Jonathan beat me to it :)

Next opening day counts all calendar days and just shifts to next opening day at the end, if it hits a closed day.

Skip closed days doesn't count them at all for the loan period (thus always landing on an opening day I think).
Comment 16 Tomás Cohen Arazi 2020-11-25 13:10:16 UTC
This is PQA.
Comment 17 Jonathan Druart 2020-11-25 14:18:11 UTC
Created attachment 113987 [details] [review]
Bug 27026: (bug 24159 follow-up) Add a tooltip to explain the values of "Days mode"

There was a tooltip for values of the existing rules, but not the only
you were editing.

Now there is the same tooltip (title) on the option elements of the
dropdown list.

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Signed-off-by: Victor Grousset/tuxayo <victor@tuxayo.net>
Comment 18 Jonathan Druart 2020-11-25 14:18:48 UTC
Created attachment 113988 [details] [review]
Bug 27026: (bug 24159 follow-up) Add a tooltip to explain the values of "Days mode"

There was a tooltip for values of the existing rules, but not the only
you were editing.

Now there is the same tooltip (title) on the option elements of the
dropdown list.

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Signed-off-by: Victor Grousset/tuxayo <victor@tuxayo.net>

Bug 27026: Use meaningful descriptions

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Signed-off-by: Victor Grousset/tuxayo <victor@tuxayo.net>
Comment 19 Jonathan Druart 2020-11-25 14:19:04 UTC
Patches squashed.
Comment 20 Jonathan Druart 2020-11-25 15:20:03 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 21 Andrew Fuerste-Henry 2020-12-14 15:22:11 UTC
Missing dependencies, not backported to 20.05.x